import '../models/pass_structure_dictionary.dart';
import 'color_helper.dart';

abstract class MaybeDecode {
  const MaybeDecode._();

  static int? maybeColor(String? colorCode) {
    if (colorCode == null) return null;
    return parseRgbToInt(colorCode);
  }

  static DateTime? maybeDateTime(String? timeStamp) {
    if (timeStamp == null) return null;
    return DateTime.tryParse(timeStamp);
  }

  static PassTextAlign? maybeTextAlign(String? align) {
    switch (align) {
      case 'PKTextAlignmentLeft':
        return PassTextAlign.left;
      case 'PKTextAlignmentCenter':
        return PassTextAlign.center;
      case 'PKTextAlignmentRight':
        return PassTextAlign.right;
      default:
        return PassTextAlign.natural;
    }
  }
}
